#!/bin/bash

# --------------- SUBMIT OPENFOAM ---------------------------------

#BSUB -q rb_regular		# queue name, run '> bqueues' to see options
#BSUB -J 250-10-co			# job name (-N in qsub)
#BSUB -e e.log			# optional: Have errors written to specific file
#BSUB -o o.log		     	# optional: Have output written to specific file
#BSUB -W 100:00             	# run time of job (hour:)minute
#BSUB -n 1			# optional:min number of cores, (max cores)
#BSUB -M 500              	# memory/core in Megabyte


# More Options:
# #BSUB -R 1               	# cores/Node , equal to -N for subbin
# #BSUB -P CX-024593-04     	# CX number (LoC)
# #BSUB -P <project of your job>        # fill in cluster project
# #BSUB -R span[ptile=<cores/node>]     # optional: cores per node (max 24)
# #BSUB -x                              # optional: exclusive job on host

# Source scheduler environment
. /gpfs3/applications/lsf/10.1.0/conf/profile.lsf


# -------- Here comes your code ----------------------------------
# 1. run directly
./Allclean
./Allrun

# 2. run from terminal
#bsub -q rb_regular -J beam -e e.log -o o.log -W 00:01 -n 1 ./runccx.sh 
